curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}/split \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"quantity": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}/split"
payload = { "quantity": 123 }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quantity: 123})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}/split', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"originalLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"originalQuantity": 123,
"newLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"newQuantity": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Split Return Line Item
Splits an existing return line item into two positions by reducing the original quantity and creating a new position with the split-off quantity.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
The ID of the return that the line item belongs to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the line item to split.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request model for SplitReturnLineItem command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
The quantity to split off into a new position. Must be greater than 0 and less than the current position quantity.
Response
The split result containing both position IDs and quantities.
Model Class: SplitReturnLineItem
The ID of the original line item (quantity reduced).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The remaining quantity on the original position.
The ID of the newly created line item (with split-off quantity).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The quantity on the new position.
Was this page helpful?